Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

problem with lxml on OS X #1

Closed
fulv opened this issue May 10, 2013 · 2 comments

Comments

@fulv
Copy link
Contributor

commented May 10, 2013

Could you please find out which versions of libxml2 and libsxlt are used to compile lxml on your working instance?

I managed to figure out how to link to any specific version of libxml2, and somewhere on SO it seemed like I needed 2.7.8, but it's still not working:

>>> from lxml import etree

Traceback (most recent call last):
File "", line 1, in
ImportError: dlopen(/Users/fulvio/plone/gisweb/lib/python2.7/site-packages/lxml/etree.so, 2): Symbol not found: _xmlBufContent
Referenced from: /Users/fulvio/plone/gisweb/lib/python2.7/site-packages/lxml/etree.so
Expected in: flat namespace
in /Users/fulvio/plone/gisweb/lib/python2.7/site-packages/lxml/etree.so

@fulv

This comment has been minimized.

Copy link
Contributor Author

commented May 10, 2013

Never mind, all I had to do was easy_install lxml==2.2.8.
On to the next problem.

@fulv fulv closed this May 10, 2013

@brenokcc

This comment has been minimized.

Copy link

commented Sep 8, 2015

Thanks!!!
That worked nicely.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.